summaryrefslogtreecommitdiffstats
path: root/network/sparkleshare
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2012-08-02 12:14:59 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-09 14:32:22 -0500
commita4a8de41625584442faa5ae602fa35a03a1493a3 (patch)
tree8ee6b8487f4cc1e2583a06ec1394dd1884349364 /network/sparkleshare
parentebb7997209b4f30f0986adb0a1df68f812176dee (diff)
downloadslackbuilds-a4a8de41625584442faa5ae602fa35a03a1493a3.tar.gz
slackbuilds-a4a8de41625584442faa5ae602fa35a03a1493a3.tar.xz
network/sparkleshare: Added (collaboration and sharing tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org> Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/sparkleshare')
-rw-r--r--network/sparkleshare/README7
-rw-r--r--network/sparkleshare/slack-desc19
-rw-r--r--network/sparkleshare/sparkleshare.SlackBuild95
-rw-r--r--network/sparkleshare/sparkleshare.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/network/sparkleshare/README b/network/sparkleshare/README
new file mode 100644
index 0000000000..3ee9cf3d0e
--- /dev/null
+++ b/network/sparkleshare/README
@@ -0,0 +1,7 @@
+SparkleShare is an Open Source collaboration and sharing tool that is
+designed to keep things simple and to stay out of your way. It allows
+you to instantly sync with Git repositories and is available for Linux
+distributions, Mac, and Windows.
+
+This requires webkit-sharp and notify-sharp.
+gvfs is an optional dependency.
diff --git a/network/sparkleshare/slack-desc b/network/sparkleshare/slack-desc
new file mode 100644
index 0000000000..ef62d36519
--- /dev/null
+++ b/network/sparkleshare/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sparkleshare: sparkleshare (collaboration and sharing tool)
+sparkleshare:
+sparkleshare: SparkleShare is a collaboration and sharing tool that is designed
+sparkleshare: to keep things simple and to stay out of your way.
+sparkleshare:
+sparkleshare: It allows you to instantly sync with Git repositories and is
+sparkleshare: available for Linux distributions, Mac and Windows.
+sparkleshare:
+sparkleshare:
+sparkleshare:
+sparkleshare:
diff --git a/network/sparkleshare/sparkleshare.SlackBuild b/network/sparkleshare/sparkleshare.SlackBuild
new file mode 100644
index 0000000000..9e8498f5ab
--- /dev/null
+++ b/network/sparkleshare/sparkleshare.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for SparkleShare.
+
+# Copyright 2012 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sparkleshare
+VERSION=${VERSION:-0.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-linux-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-nautilus-extension \
+ --enable-release \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sparkleshare/sparkleshare.info b/network/sparkleshare/sparkleshare.info
new file mode 100644
index 0000000000..cbef266be0
--- /dev/null
+++ b/network/sparkleshare/sparkleshare.info
@@ -0,0 +1,10 @@
+PRGNAM="sparkleshare"
+VERSION="0.9.0"
+HOMEPAGE="http://www.sparkleshare.org"
+DOWNLOAD="https://github.com/downloads/hbons/SparkleShare/sparkleshare-linux-0.9.0.tar.gz"
+MD5SUM="5d830cab34c24b88911ff6e7ebef609c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="rworkman"